Subject: bug#38737: closed (Re: bug#38737: 26.3; Doc string of `files--message')

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 25 Dec 2019 14:52:02 +0000

Your bug report

#38737: 26.3; Doc string of `files--message'

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38737: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38737
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#38737: 26.3; Doc string of `files--message'
From: Eli Zaretskii <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked]
Date: Wed, 25 Dec 2019 16:51:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 24 Dec 2019 13:42:34 -0800 (PST)
> From: Drew Adams <[email-masked]>
> 
> `message' does not "print to" the minibuffer or "display on" the
> minibuffer.  It shows a message in the echo area.

Thanks, I fixed the wording.

> Plus, it's not true that it sometimes does not show the message.  What
> really happens is that the message is sometimes shown and then
> immediately cleared - it is still logged in `*Messages*', for example.

"Don't show" doesn't imply "do nothing", so I see no problem here.

> The doc string should just say that if `save-silently' is non-nil then,
> after showing the message in the echo area, it is cleared.

That's a description of the implementation, so not useful: the source
is always available.  From the user POV I think the message is not
shown, because redisplay doesn't have an opportunity to kick in.

Subject: 26.3; Doc string of `files--message'
From: Drew Adams <[email-masked]>
To: [email-masked]
Date: Tue, 24 Dec 2019 13:42:34 -0800 (PST)
List-Id: <debbugs-submit.debbugs.gnu.org>

Doc string:

"Like `message', except sometimes don't print to minibuffer.
If the variable `save-silently' is non-nil, the message is not
displayed on the minibuffer."

`message' does not "print to" the minibuffer or "display on" the
minibuffer.  It shows a message in the echo area.

Plus, it's not true that it sometimes does not show the message.  What
really happens is that the message is sometimes shown and then
immediately cleared - it is still logged in `*Messages*', for example.

The doc string should just say that if `save-silently' is non-nil then,
after showing the message in the echo area, it is cleared.

In GNU Emacs 26.3 (build 1, x86_64-w64-mingw32)
 of 2019-08-29
Repository revision: 96dd0196c28bc36779584e47fffcca433c9309cd
Windowing system distributor `Microsoft Corp.', version 10.0.17763
Configured using:
 `configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''